Page 1 of 2 12 LastLast
Results 1 to 15 of 19

Hi all. I'm in the process of upgrading several 8100s in my enterprise (we hit ... BlackBerry Pearl forum

  1. #1
    Nico57's Avatar
    Nico57 no está en línea Stack level 2
    Join Date
    Aug 2007
    Posts
    40

    Which OS version should i use ?

    Advertisement



    Hi all.

    I'm in the process of upgrading several 8100s in my enterprise (we hit a nasty BES+Domino bug).
    Our 8100s come with 4.2.0.51 (pretty old), and the bug was fixed in 4.2.0.64.
    My carrier offers no update (and no solution so far), but since it's part of the Vodafone network, I guess I could use Vodafone releases.

    4.2.0.67 is the version used by a large majority of carriers worldwide. Should I use this one?
    Or should I go for a 4.2.1.x version instead?
    Is there any new feature in 4.2.1.x my users could benefit from?
    Do you know what motivated the version number bump? Maybe added 8800 support ?

    Then again, we hit another bug in 4.2.1.91 and higher (wrong keyboard mapping on the symbols page, QWERTY instead of AZERTY -- if you can read french please see http://blackberryforums.pinstack.com/42650-probleme_de_clavier_azerty_sur_les.html), so if I go for 4.2.1.x, I'm basically stuck with 4.2.1.66.
    Since it seems to be the first 4.2.1.x release, doesn't it suffer from its "youthness"?

    And did I miss something, or are there really no release notes made available to end users?
    That's a shame; it makes this kind of upgrade decision a lot harder.
    How are you supposed to know whether you need to upgrade if you don't read forums?

    Last question: I tried T-Mobile's and others' software releases on my own 8100, and it kept its SFR/Vodafone theme.
    That's nice, but am I not supposed to loose this theme, and get the other carrier's theme, when switching to a not-from-SFR/Vodafone release?

    Sorry, that's a lot of questions...
    I'm new to the Blackberry world, so any advice or hint is welcome!

  2. #2
    Join Date
    May 2007
    Posts
    375

    Re: Which OS version should i use ?

    I suggest that you use the latest OS that your servie provider has.

  3. #3
    reddog187's Avatar
    reddog187 no está en línea Stack Moderator
    Join Date
    Dec 2006
    PIN/ID
    STACK
    Posts
    8,907

    Re: Which OS version should i use ?

    Quote Originally Posted by Nico57
    Hi all.

    I'm in the process of upgrading several 8100s in my enterprise (we hit a nasty BES+Domino bug).
    Our 8100s come with 4.2.0.51 (pretty old), and the bug was fixed in 4.2.0.64.
    My carrier offers no update (and no solution so far), but since it's part of the Vodafone network, I guess I could use Vodafone releases.

    4.2.0.67 is the version used by a large majority of carriers worldwide. Should I use this one?
    Or should I go for a 4.2.1.x version instead?
    Is there any new feature in 4.2.1.x my users could benefit from?
    Do you know what motivated the version number bump? Maybe added 8800 support ?

    Then again, we hit another bug in 4.2.1.91 and higher (wrong keyboard mapping on the symbols page, QWERTY instead of AZERTY -- if you can read french please see http://blackberryforums.pinstack.com/42650-probleme_de_clavier_azerty_sur_les.html), so if I go for 4.2.1.x, I'm basically stuck with 4.2.1.66.
    Since it seems to be the first 4.2.1.x release, doesn't it suffer from its "youthness"?

    And did I miss something, or are there really no release notes made available to end users?
    That's a shame; it makes this kind of upgrade decision a lot harder.
    How are you supposed to know whether you need to upgrade if you don't read forums?

    Last question: I tried T-Mobile's and others' software releases on my own 8100, and it kept its SFR/Vodafone theme.
    That's nice, but am I not supposed to loose this theme, and get the other carrier's theme, when switching to a not-from-SFR/Vodafone release?

    Sorry, that's a lot of questions...
    I'm new to the Blackberry world, so any advice or hint is welcome!
    Hey Nico,

    About the mapping of the buttons, as long as you have a french language pack then you should be just fine. Most of the updates now days are multilingual. I know that the latest from TMO has a french language pack with it.

    If you do install a different vendors theme then you will always keep your vendors theme, since that is the default. The only way to get another vendors theme is to unlock it. Which can be found here http://blackberryforums.pinstack.com...or_themes.html

    if you have anymore questions just ask, we will try to answer them the best we can.

  4. #4
    Jaspreet's Avatar
    Jaspreet no está en línea Stack level 3
    Join Date
    Apr 2007
    PIN/ID
    23E77069
    Posts
    170

    Re: Which OS version should i use ?

    if you dont have the latest OS released officialy from your provider..then you could go to other providers upgrade...it will not change any other settings like the themes...or the start screen..

  5. #5
    Nico57's Avatar
    Nico57 no está en línea Stack level 2
    Join Date
    Aug 2007
    Posts
    40

    Re: Which OS version should i use ?

    Ruth, I can't use my carrier's latest OS, it's old and buggy.
    The bug is: everytime you send a mail from your desktop, it appears on your BB as a new mail and the unread count increases. If you read it on the BB, or even delete it, the unread count does not decrease. So after a few days, you have tenths of ghost unread mails. Not the kind of bug you can live with, especially in a corporate environment.
    Like I said, it was fixed in 4.2.0.64, more than 1 year ago, but my carrier only provides 4.2.0.51.

    Reddog, every release I tried was a multilingual one indeed, and the keys themselves work all right. I can hit 'AZ' and I get an 'a'. The only problem is the key mapping displayed when I hit 'Sym'. It's a QWERTY keymap instead of AZERTY, which is confusing.
    I tried 4.2.1.91, 4.2.1.94, 4.2.1.101, 4.2.1.103 and 4.2.1.107, they all display the wrong keymap. If you really have a QWERTY keymap on your BB you cannot see the bug. You have to trust me.

    Thanks Readdog and Jastpreet for your explanation about themes and releases, I now understand that each release really comes out from RIM and contains all vendor themes, some just being hidden if your provider ID does not match. I'll try the blackberry.alx hack, out of curiosity.

    Any idea how/where I could report that keymap bug, since my provider has not been helpful so far?

  6. #6
    Nico57's Avatar
    Nico57 no está en línea Stack level 2
    Join Date
    Aug 2007
    Posts
    40

    Re: Which OS version should i use ?

    I should also add that 4.2.0.51, 4.2.0.67, 4.2.0.73 and 4.2.1.66 did NOT have the keymap bug.
    So like I said, it appeared between 4.2.1.66 and 4.2.1.91.

    Note that the 8800 also hits it, though I've not done such extensive research on this one.
    4.2.1.68 was alright, 4.2.1.101 is buggy.

  7. #7
    EricaJ1073's Avatar
    EricaJ1073 no está en línea PINStacked!
    Join Date
    Mar 2006
    Posts
    10,420

    Re: Which OS version should i use ?

    Try 4.2.1.107 from T-Mobile US listed in the 8100 OS Links thread in the 8100 Forum section. You'll need to find, and delete, the vendor.xml file from your PC to get it to work though.


  8. #8
    Nico57's Avatar
    Nico57 no está en línea Stack level 2
    Join Date
    Aug 2007
    Posts
    40

    Re: Which OS version should i use ?

    Tried it already, it has the AZERTY keymap bug.

  9. #9
    LLc0oLJ's Avatar
    LLc0oLJ no está en línea Stack level 3
    Join Date
    Jan 2007
    Posts
    245

    Re: Which OS version should i use ?

    107 have had no problems, no dropped calls been using it for 2 days now

  10. #10
    ambode's Avatar
    ambode no está en línea Stack level 1
    Join Date
    Sep 2006
    PIN/ID
    2044XXd6
    Posts
    3

    Re: Which OS version should i use ?

    107 is fine.

  11. #11
    Nico57's Avatar
    Nico57 no está en línea Stack level 2
    Join Date
    Aug 2007
    Posts
    40

    Re: Which OS version should i use ?

    OK, thanks for the information, but I cannot deploy .107 or anything higher than .66 until the keymap bug is fixed.

    What was this dropped calls problem again? When did it first appear?
    All versions from 4.2.0.51 to 4.2.1.66 have been OK for me in this regard...

  12. #12
    Papag's Avatar
    Papag no está en línea Stack level 3
    Join Date
    Feb 2007
    PIN/ID
    24b0c8db
    Posts
    158

    Re: Which OS version should i use ?

    Folks

    Some of you aren't listening to Nico. He is not concerned about dropping calls or he would have said something if they were having that kind of issue. He is obviuosly a BES admin trying to solve an enterprise issue with AZERTY keyboard mapping.

    Nico. I have called my service provider (TMO) with questions like that, and even though I'm not an admin, have had some pretty tough questions for them. They have refered me to RIM tech support each and every time, and most of the time I get answers. Maybe this is an issue they (or your enterprise software vendor) is not aware of. Perhaps it would be to their advantage to fix it. Give it a shot.

  13. #13
    Nico57's Avatar
    Nico57 no está en línea Stack level 2
    Join Date
    Aug 2007
    Posts
    40

    Re: Which OS version should i use ?

    Thanks for actually reading my posts Papag.

    I fear I cannot reach RIM tech support directly.
    I'm still trying to get my provider do something about my problems, but from the first answers I got, and as incredible as it is, they seem to only rely on public support from RIM!

  14. #14
    Founder's Avatar
    Founder no está en línea Stack level 3
    Join Date
    Mar 2007
    Posts
    302

    Re: Which OS version should i use ?

    Nico57, you are NOT alone with problems not solved by provider.
    We also get OS 0.51 on our Pearls, even if we requested to get latest available OS (now 1.107). So every new Pearl we get for our company I have to upgrade...

    Try to send mail to RIM, since I don't believe your provider will do anything at all.
    In space no one can hear you scream.

    Samsung GT-I9505 Galaxy S IV (stock Jelly Bean 4.3)
    Samsung GT-I9505 Galaxy S IV (stock KitKat 4.4.2)
    Samsung GT-I9100 Galaxy S II (CM 10.2)

  15. #15
    Nico57's Avatar
    Nico57 no está en línea Stack level 2
    Join Date
    Aug 2007
    Posts
    40

    Re: Which OS version should i use ?

    OK Founder, nice to know I'm not alone. :/
    Do you have a contact at RIM I could try and reach?
    I already mailed bbsuggestions at Research In Motion dot com, but got no anwser so far.

Page 1 of 2 12 LastLast

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •